## DBus

DBus

## Synopsis

    #include <libtracker-common/tracker-dbus.h>

    TrackerDBusData *   tracker_dbus_data_new               (const gpointer arg1,
                                                             const gpointer arg2);
    GQuark              tracker_dbus_error_quark            (void);
    guint               tracker_dbus_get_next_request_id    (void);
    void                tracker_dbus_gvalue_slice_free      (GValue *value);
    GValue *            tracker_dbus_gvalue_slice_new       (GType type);
    gchar **            tracker_dbus_queue_gfile_to_strv    (GQueue *queue,
                                                             gint max);
    gchar **            tracker_dbus_queue_str_to_strv      (GQueue *queue,
                                                             gint max);
    TrackerDBusRequestHandler * tracker_dbus_request_add_hook
                                                            (TrackerDBusRequestFunc new,
                                                             TrackerDBusRequestFunc done,
                                                             gpointer user_data);
    void                tracker_dbus_request_comment        (gint request_id,
                                                             const gchar *format,
                                                             ...);
    void                tracker_dbus_request_failed         (gint request_id,
                                                             GError **error,
                                                             const gchar *format,
                                                             ...);
    void                tracker_dbus_request_new            (gint request_id,
                                                             const gchar *format,
                                                             ...);
    void                tracker_dbus_request_remove_hook    (TrackerDBusRequestHandler *handler);
    void                tracker_dbus_request_success        (gint request_id);
    void                tracker_dbus_results_ptr_array_free (GPtrArray **ptr_array);
    gchar **            tracker_dbus_slist_to_strv          (GSList *list);

## Description

## Details

### tracker_dbus_data_new ()

    TrackerDBusData *   tracker_dbus_data_new               (const gpointer arg1,
                                                             const gpointer arg2);

`arg1` : |
`arg2` : |
Returns : |

### tracker_dbus_error_quark ()

    GQuark              tracker_dbus_error_quark            (void);

Returns : |

### tracker_dbus_get_next_request_id ()

    guint               tracker_dbus_get_next_request_id    (void);

Returns : |

### tracker_dbus_gvalue_slice_free ()

    void                tracker_dbus_gvalue_slice_free      (GValue *value);

`value` : |

### tracker_dbus_gvalue_slice_new ()

    GValue *            tracker_dbus_gvalue_slice_new       (GType type);

`type` : |
Returns : |

### tracker_dbus_queue_gfile_to_strv ()

    gchar **            tracker_dbus_queue_gfile_to_strv    (GQueue *queue,
                                                             gint max);

`queue` : |
`max` : |
Returns : |

### tracker_dbus_queue_str_to_strv ()

    gchar **            tracker_dbus_queue_str_to_strv      (GQueue *queue,
                                                             gint max);

`queue` : |
`max` : |
Returns : |

### tracker_dbus_request_add_hook ()

    TrackerDBusRequestHandler * tracker_dbus_request_add_hook
                                                            (TrackerDBusRequestFunc new,
                                                             TrackerDBusRequestFunc done,
                                                             gpointer user_data);

`new` : |
`done` : |
`user_data` : |
Returns : |

### tracker_dbus_request_comment ()

    void                tracker_dbus_request_comment        (gint request_id,
                                                             const gchar *format,
                                                             ...);

`request_id` : |
`format` : |
`...` : |

### tracker_dbus_request_failed ()

    void                tracker_dbus_request_failed         (gint request_id,
                                                             GError **error,
                                                             const gchar *format,
                                                             ...);

`request_id` : |
`error` : |
`format` : |
`...` : |

### tracker_dbus_request_new ()

    void                tracker_dbus_request_new            (gint request_id,
                                                             const gchar *format,
                                                             ...);

`request_id` : |
`format` : |
`...` : |

### tracker_dbus_request_remove_hook ()

    void                tracker_dbus_request_remove_hook    (TrackerDBusRequestHandler *handler);

`handler` : |

### tracker_dbus_request_success ()

    void                tracker_dbus_request_success        (gint request_id);

`request_id` : |

### tracker_dbus_results_ptr_array_free ()

    void                tracker_dbus_results_ptr_array_free (GPtrArray **ptr_array);

`ptr_array` : |

### tracker_dbus_slist_to_strv ()

    gchar **            tracker_dbus_slist_to_strv          (GSList *list);

`list` : |
Returns : |